📷 GIF Exporter 1.1 | create animated GIFs from SketchUp models with customizable settings Download
  • Wall "cutter" for windows

    15
    0 Votes
    15 Posts
    3k Views
    F

    count me in! 😍

  • [ruby doc] Undocumented ShadowInfo & Rendering Options

    2
    0 Votes
    2 Posts
    514 Views
    Didier BurD

    Hi Al,
    Most options in Su are handled by hashes.
    For instance:
    options=Sketchup.active_model.shadow_info
    then:
    options.to_a gives:
    [["City", "Paris"], ["Country", "France"], ["Dark", 20], ["DayOfYear", 172], ["DaylightSavings", false], ["DisplayNorth", false], ["DisplayOnAllFaces", true], ["DisplayOnGroundPlane", true], ["DisplayShadows", false], ["EdgesCastShadows", false], ["Latitude", 48.867], ["Light", 80], ["Longitude", 2.333], ["NorthAngle", 0.0], ["ShadowTime", Fri Jun 21 15:30:00 Paris, Madrid 2002], ["ShadowTime_time_t", 1024666200], ["SunDirection", Vector3d(-0.149675, -0.420103, 0.895048)], ["SunRise", Fri Jun 21 06:53:33 Paris, Madrid 2002], ["SunRise_time_t", 1024635213], ["SunSet", Fri Jun 21 22:51:25 Paris, Madrid 2002], ["SunSet_time_t", 1024692685], ["TZOffset", 1.0], ["UseSunForAllShading", false]]

    options.keys return an array of all the options names and options.values an array of all the values associated with each key.

    All the hashes are contained in: Sketchup.active_model.options
    For example:
    optionsmanager[0].to_a gives:
    [["LengthPrecision", 2], ["LengthFormat", 0], ["LengthUnit", 4], ["LengthSnapEnabled", true], ["LengthSnapLength", 0.393700787401575], ["AnglePrecision", 1], ["AngleSnapEnabled", true], ["SnapAngle", 15.0], ["SuppressUnitsDisplay", false], ["ForceInchDisplay", false]]

    And so on... all sort of things that I found by myself (and with the help of other rubyists) BUT that Google apparently don't care to document 👎

  • Selecting only Lock Groups

    6
    0 Votes
    6 Posts
    516 Views
    A

    all right, respect. there you go webconsole 😉

  • How to set "use sun for shading"

    2
    0 Votes
    2 Posts
    557 Views
    J

    Here ya go, Al.

    Sketchup.active_model.shadow_info["UseSunForAllShading"] = true

    See this thread for more undocumented ShadowInfo options.,

  • Problem using autocenterpoint...

    3
    0 Votes
    3 Posts
    448 Views
    B

    I remove the extension manager and it's work!
    Thank You!

  • Create polyline

    5
    0 Votes
    5 Posts
    2k Views
    G

    Fredo6's Bezier tool includes a polyline. Does this do what you want?

    Bob

    Later: edited to attribute the script correctly (I hope).

    bz.jpg

  • Missing SketchUp Plugins Folder

    3
    0 Votes
    3 Posts
    1k Views
    T

    For posterity, the proper path is

    Macintosh HD/Library/Application Support/Google Sketchup 6/SketchUp/Plugins

    Todd

  • Problème avec projection toolbar V6 (solved)

    5
    0 Votes
    5 Posts
    600 Views
    Didier BurD

    Bjr,

    @unknownuser said:

    PS: comment transfert-on un topic?

    Il faut demander aux mods, on ne peut pas le faire soi-même (sinon tu imagines le b....)

    Pour ce qui est du conflit, c'est presque normal puisque mon script reprend une classe et des méthodes développées par J. Gall. Tu peux supprimer son script puisque le mien fait pareil.
    A+

  • Making a group out of everything in a component definition

    6
    0 Votes
    6 Posts
    9k Views
    Al HartA

    I appreciate your trying to help, Susan, but I put this query in the ruby forum because I was soliciting help from other ruby programmers on how best to do this task.

    It is easy in SketchUp itself, as you point out, although probably even easier than you suggest because you can probably:

    Open the component for edit Select all the geometry in the component Right click and select Make group

    and you have the group.

    My problem is that this is much more difficult in Ruby, unless there is a ruby command for #1 and #3 (there is a one line command for #2)

    Again, though, thanks for offering your help.

  • Geom::Transformation.rotation

    7
    0 Votes
    7 Posts
    756 Views
    C

    Not realy clear for me yet.
    If I understand well, that means "transformation" is usefull for add_instance (f.e.) A kind of insert definition

    transform1 = Geom;;Transformation.new inspoint instance = entities.add_instance componentdefinition, transform1

    and "transform!" to modify this instance.

    instance.transform!(transform2)

    But I'll get use to it. 😄
    Thanks both of you for your help.

  • Su2stl seems buged!

    8
    0 Votes
    8 Posts
    871 Views
    pilouP

    😆 hihi comme quoi l'habit ne fait le moine 😄

  • Measuring Gradients???

    4
    0 Votes
    4 Posts
    761 Views
    M

    Hi All
    thanks for the info...

    that may well do it,looks perfect. i've had that plug in for ome time but not noticed that option before,
    many, many thanks
    all the best
    matt

  • Ruby to make resizing model easier

    12
    0 Votes
    12 Posts
    1k Views
    OscarLokO

    Hello Jean-Franco

    It is still under improving! I will keep upload the latest version of the script in youtube(avi file).

    Regards
    Oscar

  • Highlight each instance in a selection set

    4
    0 Votes
    4 Posts
    543 Views
    J

    @unknownuser said:

    Thanks Jim!
    Once again, you hit the mark.
    First, I missed the ".collect" and get a bug on sketchup.

    Have you got any idea what scan order is prefered in the 'do' loop?
    Any way to sort the collection?

    Collect is a Ruby method that just makes a copy of the selections in an Array.

    There isn't any order to the entities returned (that I am aware of.) You'll need to sort them manually, possibly by building another array of only the instances. Then, you'll need to decide what to sort on: definition name, color, position, size?

  • Ruby console?

    2
    0 Votes
    2 Posts
    433 Views
    I

    ok, never mind. i looked at the wikipedia article on ruby and im way out of my depth. i know baisic computer code, but this seems way complicated. you can go ahead and tell me what to do, but i probably wont try. thanks ayways.

  • WebDialog on Mac - problems with height

    9
    0 Votes
    9 Posts
    949 Views
    T

    Yes, I've seen that too. Thanks for the reminder.

  • Point, Length and Angle Selection

    4
    0 Votes
    4 Posts
    583 Views
    T

    Thanks.

  • Please help with error message

    6
    0 Votes
    6 Posts
    535 Views
    EdsonE

    todd,

    you were absolutely right. mac A had the latest build whereas B had an older one. i had just to update the older copy of SU to fix the problem.

    thanks!

  • Sketchup to Second life

    2
    0 Votes
    2 Posts
    509 Views
    Ivica ValjakI

    well as I see there is no one avaliable and everything got quiet so I guess they give up from that project.
    I found another try on that but they also did not show in a while
    http://www.queo-blog.com/?cat=6

    some of the progress
    http://www.queo-blog.com/wp-content/uploads/2007/08/class-diagram-3d.jpg

  • Question ...

    36
    0 Votes
    36 Posts
    4k Views
    K

    Great work Chris !

Advertisement